Archive
Highlighted

Splunk Connect Version 1.2.0

New Member

Team,
Need some help. I recently installed above app to Splunk Enterprise. I didn't realize initially that it requires for JDBC to work. Before I realize it, I already installed JDK version 8. When I noticed that, I have uninstalled version 8 and installed JDK version 7. However, now I am getting error which after goolging, tell me that it is due to incompatible version and i need to recompile it to downgrade to version 7. How can I do that without the need to recompile, is there a workaround?

ERROR Java process returned error code 1!
Error: java.lang.UnsupportedClassVersion
Error: com/splunk/bridge/JavaBridgeServer : Unsupported major.minor version 52.0

at java.lang.ClassLoader.defineClass1(Native Method)

at java.lang.ClassLoader.defineClass(ClassLoader.java:800)

at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)

at java.net.URLClassLoader.access$100(URLClassLoader.java:71)

at java.net.URLClassLoader$1.run(URLClassLoader.java:361)

at java.net.URLClassLoader$1.run(URLClassLoader.java:355)

at java.security.AccessController.doPrivileged(Native Method)

at java.net.URLClassLoader.findClass(URLClassLoader.java:354)

at java.lang.ClassLoader.loadClass(ClassLoader.java:425)

at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)

at java.lang.ClassLoader.loadClass(ClassLoader.java:358)

at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)

0 Karma
Highlighted

Re: Splunk Connect Version 1.2.0

SplunkTrust
SplunkTrust

DB Connect 1.2.0 needs JRE or JDK version 8, see https://splunkbase.splunk.com/app/958/

Highlighted

Re: Splunk Connect Version 1.2.0

New Member

Thank you Martin. If that the case, is there any JDBC that is compatible with Java 8 for MS SQL? Because I only can found the one that compatible with Java 6 or 7 only, http://www.microsoft.com/en-us/download/details.aspx?id=11774

0 Karma
Highlighted

Re: Splunk Connect Version 1.2.0

SplunkTrust
SplunkTrust

Ask Microsoft about why they're so slow, they also took years to support Java 7... which is not going to get any more updates: https://www.java.com/en/download/faq/java_7.xml

You can always use DB Connect 1.1.x that supports Java 7.

0 Karma
Highlighted

Re: Splunk Connect Version 1.2.0

New Member

Yup, seems like I need to downgrade it to version 1.1.7. Thanks Martin for the reply.

0 Karma